let
  mozilla = import (builtins.fetchTarball https://github.com/mozilla/nixpkgs-mozilla/archive/master.tar.gz);
  nixpkgs = import <nixpkgs> { overlays = [ mozilla ]; };
in

with nixpkgs;

mkShell {
  buildInputs = [
    alsaLib
    cmake
    udev
    freetype
    latest.rustChannels.nightly.rust
    #rustc cargo
    expat
    openssl
    pkgconfig
    python3
    vulkan-validation-layers
    xlibs.libX11
  ];

  APPEND_LIBRARY_PATH = lib.makeLibraryPath [
    vulkan-loader
    xlibs.libXcursor
    xlibs.libXi
    xlibs.libXrandr
  ];

  shellHook = ''
      export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$APPEND_LIBRARY_PATH"
    '';
}
